Squad Provision
| Recurso | Descripción |
|---|---|
| Fixed portabilities | Access to portabilities |
| Fixed migrations | Access to migrations |
| Fixed acquisitions | Access to acquisitions data |
| Fixed operations | Access to operations on the portabilities |
| Fixed producers | Producer in kafka |
| Fixed impersonate | Impersonate of events generated by the E.R. |
Squad Provision
| Recurso | Descripción |
|---|---|
| Fixed portabilities | Access to portabilities |
| Fixed migrations | Access to migrations |
| Fixed acquisitions | Access to acquisitions data |
| Fixed operations | Access to operations on the portabilities |
| Fixed producers | Producer in kafka |
| Fixed impersonate | Impersonate of events generated by the E.R. |
Get minimum portability windowDate in UTC format
PATH PARAMETERS
QUERY PARAMETERS
processType of the portability wanted to get the minimum windowDate. Default if missing is 15
OK successful operation
{
"result": "2024-05-20T22:00:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
result* | string | minimum window date |
Bad Request Invalid parameter supplied
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/windowDate?processType=15' \
-H 'Accept: application/json' Get last portability by phonenumber
PATH PARAMETERS
The cli phonenunber
OK successful operation
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/portabilityByPhonenumber/900000000' \
-H 'Accept: application/json' Get portabilities by phonenumber
PATH PARAMETERS
The cli phonenunber
QUERY PARAMETERS
Typical filters: donorOperator, recipientRol, messageType, processType, ...
OK successful operation
[
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/portabilitiesByPhonenumber/900000000?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse%20AND%20messageType%20IN%20('DSP1'%2C%20'DSP2')' \
-H 'Accept: application/json' Get portabilities by external reference
PATH PARAMETERS
The external reference
QUERY PARAMETERS
Typical filters: externalReference, recipientRol, messageType, processType, ...
OK successful operation
[
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/portabilitiesByExternalReference/MYSIM_1234567?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse%20AND%20messageType%20IN%20('DSP1'%2C%20'DSP2')' \
-H 'Accept: application/json' Get portability by processId
PATH PARAMETERS
The Portanet identificator
QUERY PARAMETERS
Typical filters: externalReference, recipientRol, messageType, processType, ...
OK successful operation
[
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/portabilitiesByProcessId/00031202006011500001?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse%20AND%20messageType%20IN%20('DSP1'%2C%20'DSP2')' \
-H 'Accept: application/json' Get all portabilities for a date
PATH PARAMETERS
The date field to filter: requestDate, messageDate, windowDate or cancellationDate
The value date
QUERY PARAMETERS
Typical filters: externalReference, recipientRol, messageType, processType, ...
OK successful operation
[
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/portabilitiesByDate/windowDate/2020-01-01?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse%20AND%20messageType%20IN%20('DSP1'%2C%20'DSP2')' \
-H 'Accept: application/json' Get last recipient portability by phonenumber
PATH PARAMETERS
The cli phonenunber
OK successful operation
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/recipient/portabilityByPhonenumber/900000000' \
-H 'Accept: application/json' Get last donor portability by phonenumber
PATH PARAMETERS
The cli phonenunber
OK successful operation
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/donor/portabilityByPhonenumber/900000000' \
-H 'Accept: application/json' get cause by cause code
PATH PARAMETERS
Cause code
OK successful cause
[
{
"messageType": "DSP1",
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
messageType* | string | Message type Portabaility | pattern: ^.{1,5}$ | |
causeCode* | string | cause code of a denied operation | pattern: ^\d{4}$ | |
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ |
Not Found Cause not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/causesByCode/0012' \
-H 'Accept: application/json' get causes by message type
PATH PARAMETERS
Message type
OK successful causes
[
{
"messageType": "DSP1",
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
messageType* | string | Message type Portabaility | pattern: ^.{1,5}$ | |
causeCode* | string | cause code of a denied operation | pattern: ^\d{4}$ | |
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ |
Not Found Causes not found for message type
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/causesByMessageType/W' \
-H 'Accept: application/json' get all holidays for a given year
PATH PARAMETERS
the year to get the holidays calendar
OK successful call
[
"2024-12-25"
] Bad Request validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/holidayCalendar/2020' \
-H 'Accept: application/json' get is holiday day
PATH PARAMETERS
The value date
OK successful call
{
"isHoliday": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
isHoliday* | boolean | return is holiday |
Bad Request Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/isHoliday/2020-01-01' \
-H 'Accept: application/json' Get all migrations for a date
PATH PARAMETERS
The date field to filter: requestDate, windowDate
The value date
QUERY PARAMETERS
Typical filters: recipientRol, donorOperator ...
OK successful operation
{} | Property | Type | Description | Constraints | Default |
|---|
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/migrationsByDate/requestDate/2020-01-01?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse' \
-H 'Accept: application/json' get acquisitiostatus description
PATH PARAMETERS
OK successful operation
{
"id": "1",
"description": "Portado",
"cancellable": false
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | status id | ||
description | string | status description | ||
cancellable | boolean | is cancellable the current status |
Not Found Operators not found
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/acquisitionStatus' \
-H 'Accept: application/json' get acquisition files last modified date
PATH PARAMETERS
OK successful operation
{
"operator": "2017-09-15T08:00:00",
"cmt_numeration": "2017-09-15T08:00:00",
"acquisition": "2017-09-15T08:00:00"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
operator | string | operators last modified date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |
cmt_numeration | string | cmt_numeration last modified date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |
acquisition | string | acquisition last modified date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ |
Not Found Operators not found
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/acquisitionDate' \
-H 'Accept: application/json' get list of all operators
PATH PARAMETERS
OK successful operation
{
"id": "00031",
"name": "Xtra Telecom S.A.",
"license": "01",
"community": "15"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | operator code | ||
name* | string | operator name | ||
license | string | null | license type | ||
community | string | community type |
Not Found Operators not found
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/operators' \
-H 'Accept: application/json' get operator by id
PATH PARAMETERS
The operator id
OK successful operation
{
"id": "00031",
"name": "Xtra Telecom S.A.",
"license": "01",
"community": "15"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string | operator code | ||
name* | string | operator name | ||
license | string | null | license type | ||
community | string | community type |
Not Found Operator not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/operator/00031' \
-H 'Accept: application/json' get the phonenumber owner
PATH PARAMETERS
The phonenumber
OK successful operation
{
"phonenumber": "911111111",
"donorOperator": "00001",
"donorOperatorName": "Movistar",
"recipientOperator": "00031",
"recipientOperatorName": "Xtra",
"initialDonorOperator": "00002",
"initialDonorOperatorName": "Vodafone",
"initialDonorOperator2": "00002",
"initialDonorOperator2Name": "Vodafone",
"initialDonorOperator3": "00002",
"initialDonorOperator3Name": "Vodafone",
"nrn": "312800",
"windowDate": "2017-09-15T08:00:00",
"status": "1",
"statusName": "Portado",
"recipientResellerOperator": "XFERA",
"donorResellerOperator": "CABLEMOBIL"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
phonenumber | string | phonenumber | ||
donorOperator | string | donor operator code | ||
donorOperatorName | string | donor operator name | ||
recipientOperator | string | recipient operator code | ||
recipientOperatorName | string | recipient operator name | ||
initialDonorOperator | string | initial donor operator code | ||
initialDonorOperatorName | string | initial donor operator name | ||
initialDonorOperator2 | string | initial donor operator 2 code | ||
initialDonorOperator2Name | string | initial donor operator 2 name | ||
initialDonorOperator3 | string | initial donor operator 3 code | ||
initialDonorOperator3Name | string | initial donor operator 3 name | ||
nrn | string | network routing number | ||
windowDate | string | portability date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |
status | string | status code | ||
statusName | string | status name | ||
recipientResellerOperator | string | recipient reseller operator name | ||
donorResellerOperator | string | donor reseller operator name |
Not Found Phonenumber not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/ownerOperator/911111111' \
-H 'Accept: application/json' Get all pendding donor portabilities
PATH PARAMETERS
QUERY PARAMETERS
Typical filters: externalReference, recipientRol, messageType, processType, ...
OK successful operation
[
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid parameters supplied
Not Found Portability not found
Method Not Allowed Validation exception
curl -X GET 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/donorPortabilities?filters=donorOperator%3D'00031'%20AND%20recipientRol%3Dfalse%20AND%20messageType%20IN%20('DSP1'%2C%20'DSP2')' \
-H 'Accept: application/json' accept donor portability
PATH PARAMETERS
{
"processId": "00031202005111500003",
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"observations": "",
"externalReference": "MYSIM_112233"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
processId* | string | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||
phoneRanges | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||
OK Accept ok
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid body
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
Not Found Portability not found
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
Method Not Allowed Portability is not in progress
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/acceptDonorPortability' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"processId": "00031202005111500003",
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"observations": "",
"externalReference": "MYSIM_112233"
}' deny donor portability
PATH PARAMETERS
{
"processId": "00031202005111500003",
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"administrative": "445022444216",
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"observations": "",
"externalReference": "MYSIM_112233"
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
processId* | string | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||
causeCode* | string | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||
OK Deny ok
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid body
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
Not Found Portability not found
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
Method Not Allowed Portability is not in progress
{
"code": "0002",
"status": "BAD_REQUEST",
"message": "Bad Request",
"detailMsg": "Portability not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | error code | ||
status | string | status code response | ||
message | string | message response | ||
detailMsg | string | detail description of error |
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/denyDonorPortability' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"processId": "00031202005111500003",
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"administrative": "445022444216",
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"observations": "",
"externalReference": "MYSIM_112233"
}' Patch portability by processId but does not generate any events
PATH PARAMETERS
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
OK Patch ok
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid body
Not Found Portability not found
curl -X PATCH 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/patchPortability' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
}' Update accessType on a portability
PATH PARAMETERS
{
"processId": "00031202005111500003",
"fullNumberFlag": 0,
"accessType": "01",
"infoTariff": ""
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |
fullNumberFlag* | integer (int32) | full number flag | ||
accessType* | string | null | portability access type | pattern: ^\d{2}$ | |
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ |
OK Patch ok
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"stateId": 1,
"messageType": "DSP1",
"externalReference": "MYSIM_112233",
"brand": "MASMOVIL",
"recipientRol": true,
"processId": "00031202005111500003",
"recipientOperator": "00031",
"donorOperator": "00001",
"requestDate": "2017-09-13T13:00:00",
"messageDate": "2017-09-13T14:00:00",
"windowDate": "2017-09-15T08:00:00",
"cancellationDate": "2017-09-15T08:00:00",
"processType": 15,
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"accessType": "01",
"donorResellerOperator": "REVENDEDOR",
"recipientResellerOperator": "MASMOVIL",
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"causeCode": "0001",
"causeDescription": "Falta de correspondencia entre numeración y NIF/CIF del abonado del revendedor",
"observations": "",
"infoTariff": "",
"internal": false,
"isCancellable": false,
"accessPhoneRanges": [
{
"accessType": "01",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"eventList": [
{
"eventTimestamp": "2017-09-15T08:42:33.123456",
"messageType": "DSP1",
"messageId": "00031202005110000003",
"subProcessId": "00031202005110200003",
"eventType": "EVENT",
"causeCode": "0001",
"administrative": "445022444216"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
stateId | integer (int32) | portability state | ||||||||||||||||||||||||||||||||||||||||||
messageType | string | null | Message type Portabaility | pattern: ^.{1,5}$ | |||||||||||||||||||||||||||||||||||||||||
externalReference | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
brand | string | null | brand associated | ||||||||||||||||||||||||||||||||||||||||||
recipientRol* | boolean | operator rol recipient or donor | ||||||||||||||||||||||||||||||||||||||||||
processId* | string | null | process id in Portanet | pattern: ^\d{20}$ | |||||||||||||||||||||||||||||||||||||||||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
requestDate | string | null | request date for portability | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
messageDate | string | null | date to send to Portanet | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
cancellationDate | string | null | cancellation date | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
processType | integer (int32) | process type | ||||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
accessType | string | null | portability access type | pattern: ^\d{2}$ | |||||||||||||||||||||||||||||||||||||||||
donorResellerOperator | string | null | donor reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
recipientResellerOperator | string | null | recipient reseller operator | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
subscriber | object | |||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||
causeCode | string | null | cause code of a denied operation | pattern: ^\d{4}$ | |||||||||||||||||||||||||||||||||||||||||
causeDescription | string | null | cause description of a denied operation | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
infoTariff | string | null | info tariff of a portability | pattern: ^.{0,80}$ | |||||||||||||||||||||||||||||||||||||||||
internal | boolean | is a portability between own operators | ||||||||||||||||||||||||||||||||||||||||||
isCancellable | boolean | is a portability cancellable | ||||||||||||||||||||||||||||||||||||||||||
accessPhoneRanges | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
eventList | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid body
Not Found Portability not found
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/accessType' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"processId": "00031202005111500003",
"fullNumberFlag": 0,
"accessType": "01",
"infoTariff": ""
}' Force download Portanet file in async mode
PATH PARAMETERS
{
"ftpFile": "dsp2_15_r",
"operatorId": "00031",
"date": "2017-09-15"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
ftpFile* | string | Ftp file name | ||
operatorId* | string | operator code | pattern: ^\d{5}$ | |
date* | string (date) | file date |
OK Download in process
Bad Request Invalid body
Not Found Invalid ftpFile, operator code or flow
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/forceDownloadPortanetFile' \
-H 'Content-Type: application/json' \
--data-raw '{
"ftpFile": "dsp2_15_r",
"operatorId": "00031",
"date": "2017-09-15"
}' Force download file from bucket in async mode
PATH PARAMETERS
{
"ftpFile": "SP_D",
"operatorId": "00031",
"date": "2017-09-15"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
ftpFile* | string | Ftp file name | ||
operatorId* | string | operator code | pattern: ^\d{5}$ | |
date* | string (date) | file date |
OK Download in process
Bad Request Invalid body
Not Found Invalid ftpFile, operator code or flow
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/forceDownloadStorage' \
-H 'Content-Type: application/json' \
--data-raw '{
"ftpFile": "SP_D",
"operatorId": "00031",
"date": "2017-09-15"
}' Request change the NRN of a ported phonenumber
PATH PARAMETERS
{
"externalReference": "MYSIM_112233",
"internal": false,
"recipientOperator": "00031",
"donorOperator": "00001",
"observations": "",
"windowDate": "2017-09-15T08:00:00",
"initialRange": "900000000",
"endRange": "900000000",
"nrnRange": "312800"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalReference | string | null | externalReference associated | ||
internal | boolean | is a portability between own operators | ||
recipientOperator* | string | current recipient operator code | pattern: ^\d{5}$ | |
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |
observations | string | null | observations of a portability | pattern: ^.{0,80}$ | |
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |
initialRange* | string | intial phone number range | pattern: ^[89]\d{8}$ | |
endRange* | string | end phone number range | pattern: ^[89]\d{8}$ | |
nrnRange | string | nrn range | pattern: ^\d{6}$ |
OK Request change NRN in progress
{
"topic": "topic",
"partition": 0,
"offset": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
topic | string | topic | ||
partition | integer | partition | ||
offset | integer | offset |
Bad Request Invalid body
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/requestChangeNrn' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalReference": "MYSIM_112233",
"internal": false,
"recipientOperator": "00031",
"donorOperator": "00001",
"observations": "",
"windowDate": "2017-09-15T08:00:00",
"initialRange": "900000000",
"endRange": "900000000",
"nrnRange": "312800"
}' Request cancel a change NRN in progress
PATH PARAMETERS
{
"processId": "00031202005111500003",
"externalReference": "MYSIM_112233",
"recipientOperator": "00031",
"internal": false,
"donorOperator": "00001",
"causeCode": "0001",
"observations": ""
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
processId | string | null | process id in Portanet | pattern: ^\d{20}$ | |
externalReference | string | null | externalReference associated | ||
recipientOperator | string | null | current recipient operator code | pattern: ^\d{5}$ | |
internal | boolean | is a portability between own operators | ||
donorOperator | string | null | initial donor operator code | pattern: ^\d{5}$ | |
causeCode* | string | cause code of a denied operation | pattern: ^\d{4}$ | |
observations | string | null | observations of a portability | pattern: ^.{0,80}$ |
OK Cancel change NRN in progress
{
"topic": "topic",
"partition": 0,
"offset": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
topic | string | topic | ||
partition | integer | partition | ||
offset | integer | offset |
Bad Request Invalid body
curl -X POST 'https://mas-portability.sta.masstack.com/v3/orgs/masmovil/fixed/cancelChangeNrn' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"processId": "00031202005111500003",
"externalReference": "MYSIM_112233",
"recipientOperator": "00031",
"internal": false,
"donorOperator": "00001",
"causeCode": "0001",
"observations": ""
}' Request a recipient portability
PATH PARAMETERS
{
"phoneRanges": [
{
"nrnRange": "312800",
"initialRange": "900000000",
"endRange": "900000000"
}
],
"externalReference": "MYSIM_112233",
"recipientOperator": "00031",
"windowDate": "2017-09-15T08:00:00",
"administrative": "445022444216",
"lluProcessId": "550739346020000001",
"fullNumberFlag": 0,
"wholesalerFlag": 0,
"coordinatedActionFlag": 0,
"accessType": "01",
"recipientResellerOperator": "MASMOVIL",
"processType": 15,
"subscriber": {
"nif": "11111111H",
"name": "nombre apellidos",
"address": "Calle COLON",
"postalCode": "28100",
"province": "28",
"town": "Madrid",
"date": "2017-09-13T13:00:00"
},
"infoTariff": "",
"observations": ""
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
phoneRanges* | object[] | |||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
externalReference* | string | null | externalReference associated | ||||||||||||||||||||||||||||||||||||||||||
recipientOperator* | string | current recipient operator code | pattern: ^\d{5}$ | |||||||||||||||||||||||||||||||||||||||||
windowDate | string | null | portability window | pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T([01][0-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])(\.\d+)?$ | |||||||||||||||||||||||||||||||||||||||||
administrative | string | null | administrative access number | pattern: ^\d{0,14}$ | |||||||||||||||||||||||||||||||||||||||||
lluProcessId | string | null | local loop unbundling identifier | pattern: ^\d{0,21}$ | |||||||||||||||||||||||||||||||||||||||||
fullNumberFlag | integer (int32) | full number flag | ||||||||||||||||||||||||||||||||||||||||||
wholesalerFlag | integer (int32) | wholesaler flag | ||||||||||||||||||||||||||||||||||||||||||
[...]
